Subject: [dhcwg] I-D Action: draft-ietf-dhc-dhcpv6-pd-relay-requirements-01.txt

From: [email-masked]
Date: Mon, 08 Jun 2020 09:32:01 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration WG of the IETF.

        Title           : DHCPv6 Prefix Delegating Relay
        Authors         : Ian Farrer
                          Naveen Kottapalli
                          Martin Hunek
                          Richard Patterson
	Filename        : draft-ietf-dhc-dhcpv6-pd-relay-requirements-01.txt
	Pages           : 11
	Date            : 2020-06-08

Abstract:
   Operational experience with DHCPv6 prefix delegation (PD) has shown
   that when the DHCPv6 relay function is not co-located with the DHCPv6
   server function, issues such as timer synchronization between the
   DHCP functional elements, rejection of client's messages by the
   relay, and other problems have been observed.  These problems can
   result in prefix delegation failing or traffic to/from clients
   addressed from the delegated prefix not being routed.  Although
   RFC8415 mentions this deployment scenario, it does not provide
   necessary detail on how the relay element should behave when used
   with PD.

   This document describes functional requirements for a DHCPv6 PD relay
   when used for relaying prefixes delegated by a separate DHCPv6
   server.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dhc-dhcpv6-pd-relay-requirements/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dhc-dhcpv6-pd-relay-requirements-01
https://datatracker.ietf.org/doc/html/draft-ietf-dhc-dhcpv6-pd-relay-requirements-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dhc-dhcpv6-pd-relay-requirements-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: [email-masked]
Date: Mon, 8 Jun 2020 18:32:59 +0200

Hi,

I’ve just posted an updated version. The main changes in this version are to address comments received, particularly Bernie Volz’s (thanks for the review!).

Some new requirements added in this version:

 G-8:    It is RECOMMENDED that delegating relays support at least 8	
            active delegated leases per client device and use this as the	
 	    default limit.

 G-9:    The delegating relay MUST update the lease lifetimes based on	
 	     the Client Reply messages it forwards to the client and only	
 	     expire the delegated prefixes when the valid lifetime has	
 	     elapsed.

G-10:   On receipt of a Release message from the client, the	
 	    delegating relay MUST expire the active leases for each of	
 	    the IA_PDs in the message.

R-4:    If the relay has an existing route for a delegated prefix via	
 	   an interface, and receives ingress traffic on this interface	
 	   with a destination address from the delegated prefix (not	
 	   configured on the relay), then it MUST be dropped.

Any comments or suggestions appreciated.

Thanks,
Ian 

> On 8. Jun 2020, at 18:32, [email-masked] wrote:
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg